<?php

namespace App\Models\marketing\mysql;

use Api\PhpUtils\Mysql\MysqlBase;

/**
 * 自提点
 * Class TakePlace
 * @package App\Models\marketing\mysql
 */
class TakePlace extends MysqlBase
{
    const TABLE_NAME = 'take_place';
    const CONFIG_INDEX = 'marketing';
    const PRIMARY_KEY = 'take_place_id';

    const STATUS_NORMAL = 0;    // 正常
    const STATUS_DELETE = 1;    // 删除

    /**
     * 获取
     * @param $keywords
     * @param int $offset
     * @param int $limit
     * @return mixed
     */
    public static function searchList($keywords,$offset=0,$limit=20)
    {
        if($keywords) {
            $where = [
                'AND' => [
                    'OR' => [
                        'take_place_name[~]' => $keywords,
                        'contact_name[~]' => $keywords,
                    ],
                    'is_delete' => TakePlace::STATUS_NORMAL,
                ],
            ];
        }else {
            $where = ['is_delete' => TakePlace::STATUS_NORMAL];
        }
        $where['ORDER'] = ['take_place_id' => 'DESC'];
        $where['LIMIT'] = [$offset, $limit];

//        $e = TakePlace::debug();
        $res['list'] = self::select('*', $where);
        $res['total'] = self::count('*', $where);

        return $res;
    }
}
