<?php

namespace App\Services\goods;

use App\Models\goods\mysql\Ota;

class OtaService
{
    const COLUMNS = ['ota_id','ota_name','printer_sn','printer_key'];
    /**
     * 获取供应商列表（op 后台）
     * @param string $otaName
     * @param string $contacts
     * @param string $phone
     * @param int $offset
     * @param int $limit
     * @return \Api\PhpUtils\Mysql\MysqlBase
     */
    public static function list($otaName='',$printerSN='',$printerKey='',$offset=0,$limit=20)
    {
        $otaName && $where['ota_name'] = $otaName;
        $printerSN && $where["printer_sn"] = $printerSN;
        $printerKey && $where['printer_key'] = $printerKey;

        $where['status'] = Ota::STATUS_NORMAL;
        $where['ORDER'] = ['ota_id' => 'DESC'];
        $where['LIMIT'] = [$offset, $limit];

//        $e = Ota::debug();
        $res['list'] = Ota::select(self::COLUMNS, $where);
        $res['total'] = Ota::count('*', $where);

        return $res;
    }

    /**
     * 获取某个ota详情
     * @param $OtaId
     * @return \Api\PhpUtils\Mysql\MysqlBase
     */
    public static function detail($OtaId)
    {
        return Ota::get(self::COLUMNS,['id'=>$OtaId]);
    }


    public static function add($params)
    {

        //@todo 检查商家是否已存在 -- 该商家已存在

        //@todo 检查打印机是否已存在 -- 打印机已被（商家名称）绑定

        $data['ota_name'] = $params['ota_name'];
        $data['printer_sn'] = $params['printer_sn'];
        $data['printer_key'] = $params['printer_key'];

        return Ota::insert($data);
    }

    /**
     * 删除商家
     * @param $otaId
     * @return \Api\PhpUtils\Mysql\MysqlBase
     */
    public static function deleteOne($otaId)
    {
        return Ota::update(
            ['is_delete'=>Ota::STATUS_DELETE],
            ['ota_id'=>$otaId]
        );
    }

    /**
     * @param $otaId
     * @param $data
     * @return \Api\PhpUtils\Mysql\MysqlBase
     */
    public static function update($otaId,$data)
    {
        //@todo 检查字段是否匹配
        return Ota::update(
            $data,
            ['ota_id'=>$otaId]
        );
    }

}